GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
file_entry Struct Reference

## Public Member Functions
| file_entry ()=default
| file_entry (const char *name_, dir_index d_index_, unsigned int mod_time_, unsigned int length_)
const char * | include_dir (const line_header *lh) const

## Public Attributes
const char * | name {}
dir_index | d_index {}
unsigned int | mod_time {}
unsigned int | length {}
bool | included_p {}
struct symtab * | symtab {}

## Detailed Description

Definition at line 1261 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ file_entry() [1/2]

file_entry::file_entry | ( |  | ) |
| default

## ◆ file_entry() [2/2]

file_entry::file_entry | ( | const char * | name_,
|  | dir_index | d_index_,
|  | unsigned int | mod_time_,
|  | unsigned int | length_
| ) |  |
| inline

Definition at line 1265 of file dwarf2read.c.

## Member Function Documentation

## ◆ include_dir()

const char * file_entry::include_dir | ( | const line_header * | lh | ) | const

Definition at line 1382 of file dwarf2read.c.

References d_index, and line_header::include_dir_at().

Referenced by dwarf_decode_lines(), dwarf_decode_lines_1(), file_file_name(), lnp_state_machine::handle_set_file(), psymtab_include_file_name(), and setup_type_unit_groups().

## Member Data Documentation

## ◆ d_index

dir_index file_entry::d_index {}

Definition at line 1282 of file dwarf2read.c.

Referenced by include_dir(), and read_formatted_entries().

## ◆ included_p

bool file_entry::included_p {}

Definition at line 1289 of file dwarf2read.c.

Referenced by lnp_state_machine::record_line().

## ◆ length

unsigned int file_entry::length {}

Definition at line 1286 of file dwarf2read.c.

Referenced by read_formatted_entries().

## ◆ mod_time

unsigned int file_entry::mod_time {}

Definition at line 1284 of file dwarf2read.c.

Referenced by read_formatted_entries().

## ◆ name

const char* file_entry::name {}

Definition at line 1279 of file dwarf2read.c.

Referenced by dwarf_decode_lines(), dwarf_decode_lines_1(), file_file_name(), lnp_state_machine::handle_set_file(), psymtab_include_file_name(), read_formatted_entries(), and setup_type_unit_groups().

## ◆ symtab

struct symtab* file_entry::symtab {}

Definition at line 1292 of file dwarf2read.c.

Referenced by dwarf_decode_lines(), new_symbol_full(), and setup_type_unit_groups().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c